summaryrefslogtreecommitdiff
path: root/user/test_user_copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'user/test_user_copy.sh')
-rwxr-xr-xuser/test_user_copy.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/user/test_user_copy.sh b/user/test_user_copy.sh
new file mode 100755
index 0000000..350107f
--- /dev/null
+++ b/user/test_user_copy.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Runs copy_to/from_user infrastructure using test_user_copy kernel module
+
+if /sbin/modprobe -q test_user_copy; then
+ /sbin/modprobe -q -r test_user_copy
+ echo "user_copy: ok"
+else
+ echo "user_copy: [FAIL]"
+ exit 1
+fi